sc_list_files(3)

NAME
sc_list_files - list files on a smart card

SYNOPSIS
#include <opensc.h>

int sc_list_files(sc_card_t *card,
                  unsigned char *buffer,
                  size_t buflen);

DESCRIPTION
This function lists all files in the currently selected DF, and stores the the file IDs as big-endian 16bit words in buffer. If the supplied buffer is too small to hold all file IDs, the listing is silently truncated.

RETURN VALUE
If an error occurred, a negative error code is returned, as described in sc_error(3). Otherwise, the function will return the number of bytes stored in buffer.

SEE ALSO
sc_file(3), sc_path(3), sc_establish_context(3), sc_select_file(3), sc_read_binary(3), sc_read_record(3), sc_delete_file(3), sc_create_file(3), sc_file_free(3).

AUTHOR
This manual page was written by Olaf Kirch <okir@suse.de>